Welcome to Easy GIF Animator

  • Overview
  • Exploring main window
  • Tutorials
  • Working with frames
  • Using image editor
  • Purchasing
  • Online Support


Feature overview

Easy GIF Animator is powerful but yet very easy to use tool for creating and editing animated GIF images.

With Easy GIF animator You Can

  • Easily create animated banners, pictures and buttons
  • Create animated GIF images from scratch
  • Edit animated GIF images
  • Add visual effects to your GIF animation
  • Create moving text effects
  • Optimize animated GIF images so they take less space and load faster
  • Preview GIF animation in web browser
  • Manage animation frames
  • Set animation loop count and frame duration
  • Extract separate animation frames
  • Convert GIF animation to grayscale
  • Edit animated GIF palette
  • Reverse GIF animation or a portion of it
  • Export GIF animation to AVI format
  • Use GIF, JPG, BMP and PNG images in your animation
  • Generate HTML code for publishing animation on the web


Easy GIF Animator License agreement

Before you use Easy GIF Animator software, please read this agreement. You may use this software only as described in this license.

1. SOFTWARE

The capitalized term "Software" used below refers to Easy GIF Animator version 3.0, any updates to the software, any supplemental code provided to you by Karlis Blumentals, the user manual, any associated software components, any related media and printed materials, and any "online" or electronic documentation.

2. COPYRIGHT

The Software is copyright 2001-2005, Karlis Blumentals. The Software is licensed, not sold.

3. EVALUATION VERSION

You may use (launch) the Software 30 times for evaluation purposes without any charge. You must pay the license fee and register your copy to continue to use the Software after the evaluation uses (launch times) are over. Otherwise, you must delete (uninstall) the Software from your computer. For information on paying the license fee and registering your copy of the Software, choose "Help|Register..." from the Menu Bar. During the evaluation period, you may use the Software on as many different computers as you like.

4. REGISTERED VERSION

Upon enabling (or installing) the registered copy, you may use the Software on that number of computers for which you have paid a separate license fee, and the primary user of each computer for which you have paid a separate license fee may use the Software on his or her portable computer. You may also make one copy of the Software for backup or archival purposes. Otherwise, you may not copy the registered Software in whole or in part. If the registered copy of the Software is installed on a network server or other storage device, you must purchase a license for each separate computer on which the Software is used. A license for the Software may not be shared by alternating use of the Software between different computers. You may permanently transfer all of your rights to the registered copy of the Software under this license provided you transfer all copies of the Software and the recipient agrees to the terms of this license. All rights not expressly granted under this license are reserved by Karlis Blumentals.

5. DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THIS SOFTWARE, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS.

6. DISTRIBUTION

The Software may be distributed freely in its original unmodified and unregistered form. The distribution has to include all files of its original distribution. Distributors may not charge any money for it.

7. OTHER RESTRICTIONS

You may not modify, reverse engineer, decompile or disassemble the Software in any way, including changing or removing any messages or windows. You are not allowed to change any part of the Software. Karlis Blumentals keeps full rights to change any part of the Software. You may not rent, lease, or lend the Software.

8. TERMINATION

This license terminates if you fail to comply with its terms and conditions. If your license terminates, you must destroy all copies of the Software you have. The termination of this license does not limit other rights that Karlis Blumentals may have by law.

If you have any questions about this license agreement, please mail to: support@blumentals.net

Easy GIF Animator © 2001-2005 Karlis Blumentals


Purchasing Easy GIF Animator

If you want to continue using Easy GIF Animator after your evaluation period is over, you must purchase the software. Note that by registering the software, you enable us to improve it and design new features.

Pricing

Single license for Easy GIF Animator costs just US $29.85.

Click to Order Online Now

  • For site and academic licenses, click here.

  • For current special offers and discounts, click here.

You can register

  • Online (encrypted and secure site)
  • By phone, fax and postal mail
  • Paying author directly

Payment and Delivery

  • Payment methods include credit card, bank wire transfer, check and cash. For other methods, please, e-mail us to sales@blumentals.net
  • You will be able to download full version of the software immediately after placing your order.

Note

  • All version 3.x updates are free to registered users.

Related Topics

  • Enable full version


Enable full version

After you have ordered your copy of the software you will receive instructions how to download full version or unlock your copy.

Note

  • If you have any problems or questions, please, e-mail us to: sales@blumentals.net


Order by phone, fax or postal-mail

Please print out registration form for Easy GIF Animator and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29
E-Mail: register@shareit.com

Information for US and Canadian customers

US and Canadian customers may also order by calling toll-free 1-800-903-4152. You will need to name product ID. It is 180761.

This hotline is only for ordering. Unfortunately, we cannot provide any technical assistance or technical information about the program. You must contact us directly for technical support at: http://www.blumentals.net/support

US check and cash orders can be sent to US office at:

ShareIt! Inc.
P.O. Box 844
Greensburg, PA 15601, USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE PAYABLE TO: "ShareIt!Inc."

Related Topics

  • Enable full version


Order by paying author directly

To purchase Easy GIF Animator by paying author directly

  1. Send e-mail to sales@blumentals.net Please include:
    • Direct Easy GIF Animator purchase in the subject line
    • your full name
    • your postal address
    • your e-mail address
  2. You will receive information about registration payment.
  3. As soon as we receive your payment, we shall immediately send you instructions how to download full version.

Related Topics

  • Enable full version


Registration Form for Easy GIF Animator

Program No.: 180761

Customer Information

Last name: __________________________________

First name: __________________________________

Company: ___________________________________

Street and #: ________________________________

City, State, postal code: _______________________

Country: _____________________________

Phone: _______________________________

Fax: _________________________________

E-Mail: _______________________________

*** Please do not forget to include your e-mail address.
We will use e-mail to communicate with you.

How would you like to receive the registration key?

e-mail
fax
postal mail

How would you like to pay the registration fee:

credit card
wire transfer
check
cash

Credit Card Information (if applicable)

Credit Card:

Visa
Eurocard/Mastercard
American Express
Diners Club

Card Holder: _________________________

Card No.: ___________________________

Expiration Date: ______________

Date / Signature: ______________________


Exploring main window

Drag over and click on the part of the main window you wish to learn more about.

Main menu Toolbar Thumbnails bar and frames toolbar Editor / Preview pane Animation Properties and Frame Properties tabs Status bar

Menu Bar

Allows to access all Easy GIF Animator commands.

Toolbar

Allows to quickly access the most important commands such as Open, Save, Cut, Copy, Paste etc.

Editor / Preview pane

Editor pane allows to edit selected frame. Preview pane displays animation preview. You can preview particular frame with a single mouse click on that frame in Thumbnails bar.

Thumbnails bar and frames toolbar

Thumbnails display animation frames. Frames toolbar allows to manage frames. You can navigate through thumbnails using vertical scrollbar. You can select single or multiple frames to work with. For more info, refer to topic Working with animation frames.

Animation Properties and Frame Properties tabs

Animation tab provides controls for setting animation properties. Frame tab provides controls for setting currently selected animation frame properties.

Status bar

Displays information about currently loaded animation and Easy GIF Animator status: from the left to right - GIF format version, animation width and height, frame count, animation length in seconds, animation size and Easy GIF Animator status.


Working with files

  • To create a new animation, on the File menu, click New.
  • To open existing animated GIF, on the File menu, click Open.
  • To save current animation, on the File menu, click Save.
  • To save current animation with a different name, on the File menu, click Save As.
  • To add an image to current animation, on the Frame menu, click Insert.


Easy GIF Animator Tutorials

Before you begin - Some essential information.

With Easy GIF Animator you can create and edit animated GIF images. GIF animation is generally a set of images, called frames, that displayed in a sequence with specified delay (duration) create animation effect. You create animation by adding, drawing and modifying separate frame images.

Easy GIF Animator tutorials

  • Create animation from a set of images
  • Create animation from by drawing your own images


Set loop count

To set animation loop count

  1. Open Animation Properties tab.
  2. To make animation loop forever, click Repeat Forever radio button, otherwise click Repeat radio button and specify loop count.

Animation loop settings:


Set background color

Some GIF viewers support special background color which is used for pixels on the screen that are not covered by an image. Most viewers and Web browsers does not support background color feature, thus in most cases it should not be used.

To set background color
  1. Open Animation Properties tab.
  2. Click on the Background Color selection box.
  3. Color Palette dialog box appears. Click a color you wish to become background color.

Background Color selection box:


Working with animation frames

GIF animation consists of separate images, called frames. To learn more about working with frames, select a topic:

  • Select frames
  • Add and remove frames
  • Change frame order
  • Set frame delay (duration)
  • Set transparent frame background
  • Change the way frames appear


Add and remove frames

To insert new image frames

  1. On the Frame menu, click Insert. You can also use corresponding toolbar button.
  2. Select image files. You can select multiple files by holding down Ctrl key.
  3. Click Open.

To insert blank frame

  • On the Frame menu, click Insert Blank Frame. You can also use corresponding toolbar button.

To remove animation frames

  1. Select frame(s) you wish to delete.
  2. On the Frame menu, click Delete.

Related Topics

  • Working with animation frames
  • Select frames


Select frames

You can select frame with a single mosue click.

To select multiple frames

  1. Select first frame with a mouse click.
  2. Hold down Ctrl key while clicking on additional frames.
  3. To unselect particular frame, click again while still holding down Ctrl key.

Note

  • You can select all frames with a keyboard shortcut Ctrl+A.
  • Frame image editor allows you to edit one frame at a time.

Related Topics

  • Working with animation frames


Change frame order

To change frame order

  1. Select frame(s) you wish to move.
  2. On the Frame menu, click Move Up or Move Down.

Notes

  • You can also use Up and Down arrow buttons on the left toolbar.

Related Topics

  • Working with animation frames
  • Select Frames


Set frame delay (duration)

To set frame rate

  1. Select animation frame(s) whose delay (duration) you want to change.
  2. Open Frame Properties tab.
  3. Enter delay (duration) into Delay box. Time must be specified in 1/100 of a second increments (50 = 0.5 sec, 100 = 1 sec and so on).

Note

  • You can select all frames with a keyboard shortcut Ctrl+A.

Related Topics

  • Working with animation frames
  • Select frames


Set transparent frame background

To set transparent frame background

  1. Select animation frame(s) you wish to have transparent background.
  2. On the Frame Properties tab, enable Transparency checkbox.
  3. Click on the Transparent Color selection box.
  4. Color Palette dialog box appears. Click a color you wish to become transparent background for the selected frame(s).

Frame transparency settings:

Related Topics

  • Working with animation frames
  • Select frames


Change the way frames appear

To change the way previous frame is changed with a new one

  1. Select animation frame(s).
  2. Open the Frame Properties tab.
  3. From the Removal Method combo box select prefered way (None, Leave, Restore Background, Restore Previous).

To change frame position

  1. Select animation frame(s).
  2. Open the Frame Properties tab.
  3. Use Left and Top edit boxes to specify selected frame positioning in pixels.

Related Topics

  • Working with animation frames
  • Select frames


Editing frame images

You can use built-in image editor to modify animation frames and draw new ones.

To edit an existing frame

  • Select the frame and use drawing tools to modify it.

To draw a new frame

  • On the Frames menu, click Insert Blank Frame and use image editing tools to draw the picture.

Related Topics

  • Using image editor
  • Select frames


Using image editor

Built-in image editor allows to draw and edit frame images. To learn more about image editing, select a topic:

  • Image editor tools
  • Select color
  • Select line width
  • Select fill style


Image editor tools

You can use following tools:

Selection Tool allows to select a portion of the image. Selected portion can be moved using mouse or deleted.
Brush Tool allows to paint free-hand lines using selected line width and foreground color.
Fill Tool allows to fill area with selected foreground (on left-click) or background (on right-click) color.
Text Tool allows to add text with selected formatting and foreground color.
Line Tool allows to draw straight lines using selected line width and foreground color.
Rectangle Tool allows to draw square using selected line width, fill style and foreground/background colors. To draw a square, hold down SHIFT while dragging the pointer.
Ellipse Tool allows to draw circle using selected line width, fill style and foreground/background colors. You can draw a circle by holding down SHIFT while you drag the pointer.
Color Picker allows to pick foreground (on left-click) or background (on right-click) color from the image.
Eraser allows to erase small image area using background color. Eraser uses currently selected line width.
Zoom In allows to zoom in the image.
Zoom Out allows to zoom out the image.

Related Topics

  • Select color
  • Select line width
  • Select fill style


Select color

Select colors

You can select custom foreground and background color.

  • To select foreground color, click on the upper left color box. Foreground color is used for lines, borders of shapes, and text.
  • To select background color, click on the lower right color box. Background color is used to fill the inside of enclosed shapes, like rectangle.

This is how color box looks:

Related Topics

  • Select fill style


Select line width

To select line width

  1. Select any image editor tool which uses line width.
  2. Pick line width from line width selection box.

This is how line width selection box looks:

Related Topics

  • Select color
  • Select fill style


Select fill style

Fill style determines whether and how the enclosed shape being drawn is filled.

To select fill style

  1. Select any image editor tool which uses fill style.
  2. Pick fill style from the fill style selection box.

This is how the fill style selection box looks:

Related Topics

  • Select color
  • Select line width


Preview animation

To preview the animation, select the Preview tab.

Preview tab:


Preview animation in Web browser

You can view your animated GIF directly in your default Web browser to see how it looks on a web page with a specific background color.

To preview animation in Web browser

  1. On the Tools menu, click Preview in Web Browser.
  2. In the Preview in Web Browser dialog box select web page background color.
  3. Click OK.

Preview in Web Browser dialog box:


Optimize animation

Easy GIF Animator provides GIF image optimization features, that can reduce image file size. Smaller image files load faster when used in web pages. In most cases image appearance is not altered in any way.

To optimize your animated GIF

  1. On the File menu, click Optimize.
  2. In Optimize GIF Image dialog box, select optimization options. Defaults should fit for most situations.
  3. Click OK.

Optimize GIF Image dialog box:

Note

  • For large animations optimization process as well as size calculations can take a while. Operation status is displayed in progress bar.


Create image effect

To create image transition effect between two frames:
  1. Select the frame you wish to start effect with.
  2. On the Tools menu, click Create Image Effect.
  3. In Create Image Effect dialog box, select effect type and specify settings.
  4. Click OK.


Create animated text

To create moving text effect:
  1. Select the frame you wish to add text to
  2. On the Tools menu, click Create Animated Text.
  3. In Create Animated Text dialog box, select effect type and specify settings.
  4. Click OK.


Set Options

There are various options you can set to customize Easy GIF Animator. These options are set in Options dialog window.

To access Options dialog window on the Tools menu, click Options.

You can set following options

  • Thumbnails reflect image position
    Click to select this check box to see each image in the animation space that you specify in the Animation tab instead of as a full frame image.
  • Color Reduction
    GIF images can have a maximum of only 256 different colors. When importing images of other formats (such as BMP) which have more than 256 colors, the color count must be reduced to 256 or less. Color reduction options allow you to control how color reduction is made when you add images with more than 256 colors to your animation. In most cases, default options are just fine.
  • Color Reduction - Palette
    Allows to choose color palette used when importing images of other formats to your GIF animation.
  • Color Reduction - Dithering mode
    Allows to choose color reduction method used when importing images of other formats to your GIF animation.

To save settings, click OK.


Online resources

Blumentals Software provides numerous online resources and support options.

  • Blumentals Software Home
  • Customer Support Webiste
  • Customer Support Forum


How to report problems

Have you checked our online support page first?

Please provide at least the following information with any problem report

  • The version number of your copy of the program. You can determine it using the About command on the Help menu.
  • The version of Windows that you're using.
  • How to reproduce the problem.
  • Detailed description of the problem.

E-mail your completed report to: support@blumentals.net


Add image comment

You can include separate textual comment for each frame in your GIF animation. This comment can be viewed by other image editing software. This feature is useful to add individual comments to animation frames.

To add image comment

  1. Select animation frame(s) you want to comment.
  2. Enter comment text into Image Comment text box on the Image tab.


Add trailing comment

You can include textual comment within your GIF animation. This comment can be viewed by other image editing software. This feature is useful to add copyright info to your animation.

To add trailing comment

  1. Open Animation tab.
  2. Enter comment text into Trailing Comment text box.


Tutorial - Create animation from scratch

In this tutorial you will learn how to draw your own animated GIF images.

To learn creating animation from a set of instant images, click here for other tutorial.

Objective

Create animated image like this one:

Step 1 - Start new animation.

On the File menu, click New. If Animation Wizard appears, click Cancel to close it.

Step 2 - Add new blank frame.

  • On the Frame menu, click Insert Blank Frame. You can also use corresponding toolbar button.
  • Set frame width and height to 100 and click OK.

Step 3 - Draw red circle.

  • Set background color to red - click on the lower-right color rectangle to change current background color.
  • Select fill style - use fill style combo box.
  • Draw circle - click on the ellipse toolbutton and then drag your mouse over image to draw circle.

Step 4 - Duplicate frame.

On the Frame menu, click Duplicate Frame. You can also use corresponding toolbar button. This will duplicate the frame containing red circle.

Step 5 - Paint the second circle green.

  • Make sure, the second frame is selected in the frame thumbnails list.
  • Set foreground color to green - click on the upper-left color rectangle to change current foreground color.
  • Fill circle with green color - click on the fill toolbutton and then click directly inside the red circle.

Step 6 - Review results.

Your animation is ready. You can click on the Preview tab to view your animation. To save your animation, on the File menu, click Save.

Related Topics

  • All Tutorials
  • Select color
  • Select fill style


Tutorial - Create animation from images

This tutorial will help you to learn how to create animated GIF images from your own pictures without using Animation Wizard.

To learn creating animation from scratch by drawing your own images, click here for other tutorial.

Step 1 - Prepare images.

Prepare few image files, which you will use to create your animation. It is recommended that they all are of the same size.

Step 2 - Start new animation.

On the File menu, click New. If Animation Wizard appears, click Cancel to close it.

Step 3 - Add your images.

  1. On the Frame menu, click Insert. You can also use corresponding toolbar button.
  2. Select image files. You can select multiple files by holding down Ctrl key.
  3. Click Open.
You can repeat this step to add as many images from different folders as you wish.

For more information on adding images, read topic Add and Remove frames

Step 4 - Customize frame display time (duration).

You can specify for how long every image will be displayed. By default display time is 0.5 seconds. You can change this for each frame.

Click a frame to select it. Then on the Frame tab specify Delay to preferred value in 1/100 of a second increments (e.g. 100 will set image duration to one second).

Step 5 - Preview your animation.

Click on the Preview tab. This will open GIF image player.

Step 6 - Save your animation.

To save your image, on the File menu, click Save.

Notes

  • You can use Up and Down arrow buttons on the left toolbar to move selected frame(s).
  • To delete selected frame, on the Frame menu, click Delete or use corresponding toolbar button.

Related Topics

  • All Tutorials